	SUBROUTINE GET_CPUTIME (CPUTICKS)
C *********************************************************************
C ***	
C ***	This routine returns the current process's CPU usage in 10
C ***	milisecond ticks.
C ***	
C ***	PARAMETERS :
C ***	
C ***		CPUTICKS	(I*4)	Returned number of 10 milisecond
C ***					CPU ticks for the current process
C ***	
C *********************************************************************
C*MCT
	IMPLICIT INTEGER*4 (A-Z)
	INTEGER*4 CPUTICKS,LOCTICKS
	INCLUDE '($SSDEF)'		! FOR THE GETJPI CALL
	INCLUDE '($JPIDEF)'		! FOR THE GETJPI CALL
C *********************************************************************
	STRUCTURE /ITMLST/ 		! SYS$GETJPIW SYSTEM SERVICE CALL
	    INTEGER*2 BLEN		!  ITEM LIST BLOCK DEFINITION
	    INTEGER*2 CODE
	    INTEGER*4 ADR
	    INTEGER*4 LEN_ADR
	END STRUCTURE
	RECORD /ITMLST/ INFO (2)
C *********************************************************************
	INTEGER*4 IOSB(2)		! I/O STATUS BLOCK
C
C***	INITIALIZE ITEM LIST TO GET PROCESS NAME, AND PROCESS MODE
	INFO(1).BLEN = 4
	INFO(1).CODE = JPI$_CPUTIM
	INFO(1).ADR  = %LOC(LOCTICKS)
	INFO(1).LEN_ADR = 0
C
	INFO(2).BLEN = 0
	INFO(2).CODE = 0
	INFO(2).ADR  = 0
	INFO(2).LEN_ADR = 0
C
	ISTAT= SYS$GETJPIW (,,,INFO,IOSB,,)! GET INFO
	IF (.NOT. ISTAT) CALL SYS_SIGNAL (ISTAT)
C
	CPUTICKS = LOCTICKS
	RETURN
	END
